Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class PageSequence

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.PageSequence

public class PageSequence
extends AreaTreeObject

Represents a page sequence in the area tree.

Field Summary

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`PageSequence(LineArea title)` Main constructor

Method Summary
`void` | `addPage(PageViewport page)` Adds a new page to the page sequence
`java.lang.String` | `getCountry()` Returns the country of the page-sequence.
`java.lang.String` | `getLanguage()` Returns the language of the page-sequence.
`PageViewport` | `getPage(int idx)` Returns the page at the given index.
`int` | `getPageCount()`
`LineArea` | `getTitle()`
`boolean` | `isFirstPage(PageViewport page)` Indicates whether a page is the first in this page sequence.
`void` | `setCountry(java.lang.String country)` Sets the country that applies to this page-sequence.
`void` | `setLanguage(java.lang.String language)` Sets the language that applies to this page-sequence.
`void` | `setTitle(LineArea title)` Sets the page sequence's title.

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageSequence

    public PageSequence(LineArea title)

  Main constructor

Parameters:
  `title` - the title for the page-sequence, may be null

Method Detail

### getTitle

    public LineArea getTitle()

  Returns:
    the title of the page sequence in form of a line area, or null if there's no title

### setTitle

    public void setTitle(LineArea title)

  Sets the page sequence's title.

  Parameters:
    `title` - the title

### addPage

    public void addPage(PageViewport page)

  Adds a new page to the page sequence

  Parameters:
    `page` - the page to be added

### getPageCount

    public int getPageCount()

  Returns:
    the number of pages currently in this page sequence

### getPage

    public PageViewport getPage(int idx)

  Returns the page at the given index.

  Parameters:
    `idx` - the index of the requested page
  Returns:
    the requested page or null if it was not found

### isFirstPage

    public boolean isFirstPage(PageViewport page)

  Indicates whether a page is the first in this page sequence.

  Parameters:
    `page` - the page to be inspected
  Returns:
    true if the page is the first in this page sequence, false otherwise

### getLanguage

    public java.lang.String getLanguage()

  Returns the language of the page-sequence.

  Returns:
    the language (the value of the language property, "none" is mapped to null)

### setLanguage

    public void setLanguage(java.lang.String language)

  Sets the language that applies to this page-sequence.

  Parameters:
    `language` - the language to set ("none" is mapped to null)

### getCountry

    public java.lang.String getCountry()

  Returns the country of the page-sequence.

  Returns:
    the country (the value of the country property, "none" is mapped to null)

### setCountry

    public void setCountry(java.lang.String country)

  Sets the country that applies to this page-sequence.

  Parameters:
    `country` - the country to set ("none" is mapped to null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.